#!/usr/bin/make -f

export PYBUILD_NAME=pytest-order

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C docs SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-pytest-order-doc --doc-main-package=python3-pytest-order
	dh_installdocs --remaining-packages

else
%:
	dh $@ --buildsystem=pybuild
endif

# The tests require the package to be fully installed
override_dh_auto_test:
